RedCrawler API
Moderation V1

Get Mod Notes V1

Get moderator notes for a user in a subreddit. Requires moderator privileges.

GET /api/v1/moderate/notes

Get moderator notes for a user in a subreddit. Requires moderator privileges.

Query parameters

NameTypeRequiredDescription
subredditstringYesSubreddit name.
userstringYesUsername to get notes for.
bearerstringNoBearer token. Optional if stored in Token Vault.
proxystringNoProxy. Optional if stored in Token Vault.

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X GET "https://red-crawler1.p.rapidapi.com/api/v1/moderate/notes?subreddit=test&user=Motor_Tip8865&bearer=<bearer>&proxy=<proxy>" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com"

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/moderate/notes?subreddit=test&user=Motor_Tip8865&bearer=<bearer>&proxy=<proxy>", {
  method: "GET",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    }
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v1/moderate/notes?subreddit=test&user=Motor_Tip8865&bearer=<bearer>&proxy=<proxy>"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
resp = requests.get(url, headers=headers)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "mod_notes": [],
    "start_cursor": null,
    "end_cursor": null,
    "has_next_page": false
  },
  "error": null,
  "timestamp": "2026-04-29T08:59:06.168835+00:00"
}

On this page